<?php

/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 * http://www.shopmodule.com
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author        D3 Data Development - Daniel Seifert <ds@shopmodule.com>
 * @link          http://www.oxidmodule.com
 */
class d3tooltipp_update extends d3install_updatebase
{
    public $sModKey = 'd3tooltipp';

    public $sModName = 'Tooltipps';

    public $sModVersion = '2.1.0.0';

    public $sModRevision = '83';

    public $sBaseConf = 'GybQk5oYmRUc21JSDBVaDhzVTZnYTJZOFVjZWlXMFc0Wmg4YlQ5WDJvUnM3QUZnYVpBeFNsWlMxOFNPS
FhTQ0s5YjZGUmYwUm5kNGpDakcxa1RHbCtxd1NScXRyT2R5N3NBNkhrYXFNNllSbFd2ODkyVUIvcG1Rd
WpFYUIwRUhkTTlTU2tjWWV6TzNFcDlZOTJPSnduajhHd2Z2S2ZRa0dvZUt1ZEp4VUVnNGFHSmk1dG1We
FN6S0hCbFM1ZXF6cWFPN29PdkhOcEpoUDg3MTlNZ0ZRRG1aVVRJZ0p5cFJ3OUVVT25URGJ5Z3pGamkrN
0c3NDNlNHhReDhkaVNqZW1MMFpibkY0NGV2S0lmSkQrb2M2ZEtBcUdEVkNrajBheFZZaFVzQUhieVJma
kE9';

    /**
     * TODO : test and activate it in next release
     * NOTE: in MC 4.3.5.0 ist eine erste intergation dazu vorhanden
     *       luft jedoch nicht rund, d.h. Update startet nicht wenn der Paramteter aktiv verwendet wird
     *       > daher spter noch einmal testen, wenn ok aktivieren
     *
     * minimale Modul-Connector Versionsprfung fr die Installation
     */
    //    public $sMinModCfgVersion = '4.3.5.1';


    public $sRequirements = '';

    public $sBaseValue = '';

    protected $_aUpdateMethods = array(
        array(
            'check' => 'checkModCfgItemExist',
            'do'    => 'updateModCfgItemExist'
        ),
        array(
            'check' => 'hasUnregisteredFiles',          // gltige Modul-Dateien prfen - see metadata.php d3FileRegister
            'do'    => 'showUnregisteredFiles'
        ),
        array(
            'check' => 'checkModCfgSameRevision',
            'do'    => 'updateModCfgSameRevision'
        ),
    );

    protected $_aRefreshMetaModuleIds = array('d3tooltipp');

    /**
     * @return bool
     */
    public function hasUnregisteredFiles()
    {
        return $this->_hasUnregisteredFiles($this->sModKey, array('d3FileRegister'));
    }

    /**
     * @return bool
     */
    public function showUnregisteredFiles()
    {
        return $this->_showUnregisteredFiles($this->sModKey, array('d3FileRegister'));
    }
}
